Skip to content

Create Alert

POST
/alerts/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "alert-260325112117",
"resource_type": "notebook",
"metric_type": "memory",
"operator": ">",
"threshold_value": 80,
"monitoring_group_ids": [
26
],
"severity": "Critical"
}'

Create a new alert for monitoring notebook resources based on specified thresholds.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
string

Example

alert-260325112117
resource_type

Type of resource to monitor

string
Allowed values: notebook inference_service

Example

notebook
metric_type

Metric on which alert is based

string
Allowed values: cpu memory disk_usage ephemeral_storage gpu_temperature gpu_power

Example

memory
operator

Comparison operator

string
Allowed values: > < >= <= == !=

Example

>
threshold_value

Threshold value for triggering alert

number format: float

Example

80
monitoring_group_ids

List of monitoring group IDs

Array<integer>

Example

[
26
]
severity
string
Allowed values: Critical Warning Info

Example

Critical

Alert created successfully

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
location
string
location_key
string
resource_type
string
resource_type_key
string
metric_type
string
metric_type_key
string
metric_type_unit
string
operator
string
operator_key
string
threshold_value
number format: float
severity
string
severity_key
string
monitoring_groups
Array<object>
object
id
integer
name
string
description
string
project
integer
member_ids
Array<integer>
alerts
Array<object>
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
attached_resources
Array<object>
object
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object

Example

{
"code": 201,
"message": "Alert created successfully",
"data": {
"id": 51,
"name": "alert-260325112117",
"location": "Delhi",
"location_key": "Delhi",
"resource_type": "Instance",
"resource_type_key": "notebook",
"metric_type": "Memory Utilization",
"metric_type_key": "memory",
"metric_type_unit": "%",
"operator": "Greater Than",
"operator_key": ">",
"threshold_value": 80,
"severity": "Critical",
"severity_key": "Critical",
"monitoring_groups": [
{
"id": 26,
"name": "Dev-Team",
"description": "",
"project": 10450,
"member_ids": [
12345
],
"alerts": [
{
"id": 51,
"name": "alert-260325112117"
}
],
"created_by": {
"id": 1001,
"name": "User Name",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2026-03-19T11:32:09Z",
"updated_at": "2026-03-19T11:32:09Z"
}
],
"attached_resources": [],
"created_by": {
"id": 1001,
"name": "User Name",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2026-03-25T05:51:36Z",
"updated_at": "2026-03-25T05:51:36Z"
},
"errors": {}
}